Skip to main content
`Ctrl`+`K`

# kernel_arithmetics

astropy.convolution.kernel_arithmetics(kernel, value, operation)

  Add, subtract or multiply two kernels.

  Parameters:
    kernel `astropy.convolution.Kernel`

      Kernel instance.

    value `astropy.convolution.Kernel`, `python:float`, or `python:int`

      Value to operate with.

    operation{‘add’, ‘sub’, ‘mul’}
      One of the following operations:
        - ‘add’

            Add two kernels

        - ‘sub’

            Subtract two kernels

        - ‘mul’

            Multiply kernel with number or convolve two kernels.